Conversion
curl --request GET \
--url https://api.tradewatch.io/currencies/convert/{from}/{to} \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/currencies/convert/{from}/{to}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/currencies/convert/{from}/{to}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"info": {
"timestamp": 1704882030,
"rate": 1.23456
},
"query": {
"from": "<string>",
"to": "<string>",
"amount": 10,
"precision": 5
},
"result": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Currencies
Conversion
Convert one symbol to another
GET
/
currencies
/
convert
/
{from}
/
{to}
Conversion
Authorizations
Authentication via API key header
Path Parameters
The symbol you want to convert from.
The symbol you want to convert to.
Query Parameters
The amount to be converted.
Required range:
x >= 0.01The decimal precision of the result.
⌘I
